# Visualization
TKService
Xw

# Xw_MarkMap Class Reference

This class defines a MarkMap object.
.

`#include <Xw_MarkMap.hxx>`

## Public Member Functions

Standard_EXPORT | Xw_MarkMap (const Standard_CString Connexion)
| Creates a MarkMap with unallocated MarkMapEntry. Warning: Raises if MarkMap creation failed according to the supported hardware .
virtual Standard_EXPORT void | SetEntry (const Aspect_MarkMapEntry &anEntry)
| Modifies an entry already defined or Add the Entry in the marker map <me> if it don't exist. Warning: Raises if MarkMap size is exceeded, or MarkMap is not defined properly, or MarkMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | SetEntries (const Handle(Aspect_MarkMap)&aMarkmap)
| Modifies all entries from a new Markmap Warning: Raises if MarkMap size is exceeded, or MarkMap is not defined properly, or One of new MarkMapEntry Index is out of range according to the supported hardware .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Markmap .
| ~Xw_MarkMap ()
Standard_EXPORT Standard_Integer | FreeMarkers () const
| Returns the Number of Free Marks in the Typemap depending of the HardWare Warning: Raises if MarkMap is not defined properly .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Xw_MarkMap ()
Standard_EXPORT Standard_Address | ExtendedMarkMap () const
| Returns extended data markermap structure pointer. .

## Private Attributes

Standard_Address | MyExtendedDisplay
Standard_Address | MyExtendedMarkMap

## Constructor & Destructor Documentation

Standard_EXPORT Xw_MarkMap::Xw_MarkMap | ( | const Standard_CString | Connexion | ) |

Xw_MarkMap::~Xw_MarkMap | ( |  | ) | `[inline]`

Standard_EXPORT Xw_MarkMap::Xw_MarkMap | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Xw_MarkMap::Destroy | ( |  | ) | `[virtual]`

Standard_EXPORT Standard_Address Xw_MarkMap::ExtendedMarkMap | ( |  | ) | const`[protected]`

Standard_EXPORT Standard_Integer Xw_MarkMap::FreeMarkers | ( |  | ) | const

Standard_EXPORT const Xw_MarkMap::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Xw_MarkMap::SetEntries | ( | const Handle(Aspect_MarkMap)& | aMarkmap | ) | `[virtual]`

virtual Standard_EXPORT void Xw_MarkMap::SetEntry | ( | const Aspect_MarkMapEntry & | anEntry | ) | `[virtual]`

## Field Documentation

Standard_Address Xw_MarkMap::MyExtendedDisplay `[private]`

Standard_Address Xw_MarkMap::MyExtendedMarkMap `[private]`

The documentation for this class was generated from the following file:

- Xw_MarkMap.hxx